# $Revision: 1.50 $, $Date: 2008/07/27 22:50:01 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	Cache
Summary:	CGI::Cache perl module
Summary(pl.UTF-8):	Moduł Perla CGI::Cache
Name:		perl-CGI-Cache
Version:	1.4200
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3e43ff5a40dd2ffba4a1bfda3bec1244
%if %{with tests}
BuildRequires:	perl-Cache-Cache
BuildRequires:	perl-Tie-Restore
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CGI::Cache - Perl extension to help cache output of time-intensive CGI
scripts so that subsequent visits to such scripts will not cost as
much time.

%description -l pl.UTF-8
CGI::Cache - rozszerzenie Perla ułatwiające buforowanie wyjścia z
czasochłonnych skryptów CGI w ten sposób, że kolejne uruchomienia tych
skryptów będą zajmowały mniej czasu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL --skipdeps \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/CGI/Cache/.packlist


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/CGI/Cache.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Cache.spec,v $
Revision 1.50  2008/07/27 22:50:01  arekm
- release 2

Revision 1.49  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.48  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.47  2006/02/15 19:58:22  glen
- avoid loop when building without tests
- check files cleanup

Revision 1.46  2005/05/29 22:21:39  petec
- up to 1.4200

Revision 1.45  2005/01/09 14:34:47  adamg
- updated to 1.4141

Revision 1.44  2004/11/03 22:30:08  paladine
- formatting

Revision 1.43  2004/11/01 21:25:48  adamg
- updated to 1.41.2

Revision 1.42  2004/10/24 13:49:07  paladine
- spelling fix

Revision 1.41  2004/08/08 17:26:51  adamg
- updated to 1.41
- BuildRequires: perl-Tie-Restore
- bconded BR's which are needed only when doing tests

Revision 1.40  2004/06/02 08:19:46  ankry
- removed unnecessary R/BR, rel.++

Revision 1.39  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.38  2004/05/06 18:01:26  ankry
- fixed perl-devel BR

Revision 1.37  2004/04/25 15:55:56  ankry
- tests added

Revision 1.36  2003/09/09 10:24:27  ankry
- spaces -> tab

Revision 1.35  2003/05/28 13:00:27  malekith
- massive attack: source-md5

Revision 1.34  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/03/01 18:45:32  radek
- should be ready for perl-5.8.0; release++

Revision 1.32  2003/02/18 15:26:57  ankry
- massive attack: change CPAN URLs

Revision 1.31  2002/11/08 18:54:53  radek
- version 1.40

Revision 1.30  2002/07/20 07:12:31  qboosh
- completed BRs

Revision 1.29  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.28  2002/07/11 07:57:31  depesz
- new version; should work; STBR

Revision 1.27  2002/07/10 08:46:22  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.26  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.25  2002/02/25 10:30:00  depesz
cleanup; revision++

Revision 1.24  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/13 19:36:06  kloczek
- adapterized.

Revision 1.22  2002/02/13 14:09:42  depesz
automatic: Source location unfied, Relase Up

Revision 1.21  2002/02/10 15:39:12  depesz
adapterized

Revision 1.20  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/11/27 16:28:28  mis
- autoupdated to 1.20

Revision 1.18  2001/08/02 08:22:28  mis
- autoupdated to 1.10

Revision 1.17  2001/05/21 20:35:30  kloczek
- release 3.

Revision 1.16  2001/05/21 20:01:26  mis
- buildarch: noarch

Revision 1.15  2001/04/17 12:05:44  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/02/15 19:57:02  mis
- fixed release

Revision 1.12  2001/02/15 19:53:03  mis
- updated (by autoup) to 1.03

Revision 1.11  2001/02/13 23:19:40  kloczek
- release 2,
- fixed %build: pass "y" to "perl Makefiel.PL" std input.

Revision 1.10  2001/02/04 13:52:21  kloczek
- updated to 1.02.

Revision 1.9  2000/12/28 01:24:22  kloczek
- release 4: rebuild against perl 5.6 and use new rpm automation.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
